--- /homez.786/ridinteadu/_serious_analysis/van_21.0.0/dolibarr-21.0.0/htdocs/main.inc.php	2025-03-03 15:58:17.000000000 +0000
+++ /homez.786/ridinteadu/seriousbeta/dolibarr/htdocs/main.inc.php	2025-06-13 08:13:25.133163000 +0000
@@ -1211,16 +1222,16 @@
 
 			$paramsurl = array();
 			if (GETPOSTINT('textbrowser')) {
-				$paramsurl[] = 'textbrowser='.GETPOSTINT('textbrowser');
+				$paramsurl[] = 'textbrowser=' . GETPOSTINT('textbrowser');
 			}
 			if (GETPOSTINT('nojs')) {
-				$paramsurl[] = 'nojs='.GETPOSTINT('nojs');
+				$paramsurl[] = 'nojs=' . GETPOSTINT('nojs');
 			}
 			if (GETPOST('lang', 'aZ09')) {
-				$paramsurl[] = 'lang='.GETPOST('lang', 'aZ09');
+				$paramsurl[] = 'lang=' . GETPOST('lang', 'aZ09');
 			}
 
-			header('Location: '.DOL_URL_ROOT.'/index.php'.(count($paramsurl) ? '?'.implode('&', $paramsurl) : ''));
+			header('Location: ' . DOL_URL_ROOT . '/index.php' . (count($paramsurl) ? '?' . implode('&', $paramsurl) : ''));
 			exit;
 		} else {
 			// Initialize a technical object to manage hooks of page. Note that conf->hooks_modules contains an array of hook context
@@ -1232,32 +1243,32 @@
 				$relativepathstring = preg_replace('/^https?:\/\/[^\/]*/', '', $relativepathstring); // Get full path except host server
 				// Clean $relativepathstring
 				if (constant('DOL_URL_ROOT')) {
-					$relativepathstring = preg_replace('/^'.preg_quote(constant('DOL_URL_ROOT'), '/').'/', '', $relativepathstring);
+					$relativepathstring = preg_replace('/^' . preg_quote(constant('DOL_URL_ROOT'), '/') . '/', '', $relativepathstring);
 				}
 				$relativepathstring = preg_replace('/^\//', '', $relativepathstring);
 				$relativepathstring = preg_replace('/^custom\//', '', $relativepathstring);
 				//var_dump($relativepathstring);
 
 				// We click on a link that leave a page we have to save search criteria, contextpage, limit and page and mode. We save them from tmp to no tmp
-				if (!empty($_SESSION['lastsearch_values_tmp_'.$relativepathstring])) {
-					$_SESSION['lastsearch_values_'.$relativepathstring] = $_SESSION['lastsearch_values_tmp_'.$relativepathstring];
-					unset($_SESSION['lastsearch_values_tmp_'.$relativepathstring]);
-				}
-				if (!empty($_SESSION['lastsearch_contextpage_tmp_'.$relativepathstring])) {
-					$_SESSION['lastsearch_contextpage_'.$relativepathstring] = $_SESSION['lastsearch_contextpage_tmp_'.$relativepathstring];
-					unset($_SESSION['lastsearch_contextpage_tmp_'.$relativepathstring]);
-				}
-				if (!empty($_SESSION['lastsearch_limit_tmp_'.$relativepathstring]) && $_SESSION['lastsearch_limit_tmp_'.$relativepathstring] != $conf->liste_limit) {
-					$_SESSION['lastsearch_limit_'.$relativepathstring] = $_SESSION['lastsearch_limit_tmp_'.$relativepathstring];
-					unset($_SESSION['lastsearch_limit_tmp_'.$relativepathstring]);
-				}
-				if (!empty($_SESSION['lastsearch_page_tmp_'.$relativepathstring]) && $_SESSION['lastsearch_page_tmp_'.$relativepathstring] > 0) {
-					$_SESSION['lastsearch_page_'.$relativepathstring] = $_SESSION['lastsearch_page_tmp_'.$relativepathstring];
-					unset($_SESSION['lastsearch_page_tmp_'.$relativepathstring]);
-				}
-				if (!empty($_SESSION['lastsearch_mode_tmp_'.$relativepathstring])) {
-					$_SESSION['lastsearch_mode_'.$relativepathstring] = $_SESSION['lastsearch_mode_tmp_'.$relativepathstring];
-					unset($_SESSION['lastsearch_mode_tmp_'.$relativepathstring]);
+				if (!empty($_SESSION['lastsearch_values_tmp_' . $relativepathstring])) {
+					$_SESSION['lastsearch_values_' . $relativepathstring] = $_SESSION['lastsearch_values_tmp_' . $relativepathstring];
+					unset($_SESSION['lastsearch_values_tmp_' . $relativepathstring]);
+				}
+				if (!empty($_SESSION['lastsearch_contextpage_tmp_' . $relativepathstring])) {
+					$_SESSION['lastsearch_contextpage_' . $relativepathstring] = $_SESSION['lastsearch_contextpage_tmp_' . $relativepathstring];
+					unset($_SESSION['lastsearch_contextpage_tmp_' . $relativepathstring]);
+				}
+				if (!empty($_SESSION['lastsearch_limit_tmp_' . $relativepathstring]) && $_SESSION['lastsearch_limit_tmp_' . $relativepathstring] != $conf->liste_limit) {
+					$_SESSION['lastsearch_limit_' . $relativepathstring] = $_SESSION['lastsearch_limit_tmp_' . $relativepathstring];
+					unset($_SESSION['lastsearch_limit_tmp_' . $relativepathstring]);
+				}
+				if (!empty($_SESSION['lastsearch_page_tmp_' . $relativepathstring]) && $_SESSION['lastsearch_page_tmp_' . $relativepathstring] > 0) {
+					$_SESSION['lastsearch_page_' . $relativepathstring] = $_SESSION['lastsearch_page_tmp_' . $relativepathstring];
+					unset($_SESSION['lastsearch_page_tmp_' . $relativepathstring]);
+				}
+				if (!empty($_SESSION['lastsearch_mode_tmp_' . $relativepathstring])) {
+					$_SESSION['lastsearch_mode_' . $relativepathstring] = $_SESSION['lastsearch_mode_tmp_' . $relativepathstring];
+					unset($_SESSION['lastsearch_mode_tmp_' . $relativepathstring]);
 				}
 			}
 			if (!empty($_GET['save_pageforbacktolist']) && !empty($_SERVER["HTTP_REFERER"])) {    // We must use $_GET here
@@ -1319,14 +1330,14 @@
 			$_SESSION['dol_use_jmobile'] = $dol_use_jmobile;
 		}
 
-		dol_syslog("This is a new started user session. _SESSION['dol_login']=".$_SESSION["dol_login"]." Session id=".session_id());
+		dol_syslog("This is a new started user session. _SESSION['dol_login']=" . $_SESSION["dol_login"] . " Session id=" . session_id());
 
 		$db->begin();
 
 		$user->update_last_login_date();
 
-		$loginfo = 'TZ='.$_SESSION["dol_tz"].';TZString='.$_SESSION["dol_tz_string"].';Screen='.$_SESSION["dol_screenwidth"].'x'.$_SESSION["dol_screenheight"];
-		$loginfo .= ' - authmode='.$dol_authmode.' - entity='.$conf->entity;
+		$loginfo = 'TZ=' . $_SESSION["dol_tz"] . ';TZString=' . $_SESSION["dol_tz_string"] . ';Screen=' . $_SESSION["dol_screenwidth"] . 'x' . $_SESSION["dol_screenheight"];
+		$loginfo .= ' - authmode=' . $dol_authmode . ' - entity=' . $conf->entity;
 
 		// Call triggers for the "security events" log
 		$user->context['audit'] = $loginfo;
@@ -1362,7 +1373,7 @@
 		if (!empty($landingpage)) {    // Example: /index.php
 			$newpath = dol_buildpath($landingpage, 1);
 			if ($_SERVER["PHP_SELF"] != $newpath) {   // not already on landing page (avoid infinite loop)
-				header('Location: '.$newpath);
+				header('Location: ' . $newpath);
 				exit;
 			}
 		}
@@ -1428,7 +1439,7 @@
 	// Replace conf->css by personalized value if theme not forced
 	if (!getDolGlobalString('MAIN_FORCETHEME') && getDolUserString('MAIN_THEME')) {
 		$conf->theme = getDolUserString('MAIN_THEME');
-		$conf->css = "/theme/".$conf->theme."/style.css.php";
+		$conf->css = "/theme/" . $conf->theme . "/style.css.php";
 	}
 } else {
 	// We may have NOLOGIN set, but NOREQUIREUSER not
@@ -1441,7 +1452,7 @@
 // Case forcing style from url
 if (GETPOST('theme', 'aZ09')) {
 	$conf->theme = GETPOST('theme', 'aZ09', 1);
-	$conf->css = "/theme/".$conf->theme."/style.css.php";
+	$conf->css = "/theme/" . $conf->theme . "/style.css.php";
 }
 
 // Set javascript option
@@ -1489,9 +1500,9 @@
 
 // If on smartphone or optimized for small screen
 if ((!empty($conf->browser->layout) && $conf->browser->layout == 'phone')
-			|| (!empty($_SESSION['dol_screenwidth']) && $_SESSION['dol_screenwidth'] < 400)
-			|| (!empty($_SESSION['dol_screenheight']) && $_SESSION['dol_screenheight'] < 400
-				|| getDolGlobalString('MAIN_OPTIMIZEFORTEXTBROWSER'))
+	|| (!empty($_SESSION['dol_screenwidth']) && $_SESSION['dol_screenwidth'] < 400)
+	|| (!empty($_SESSION['dol_screenheight']) && $_SESSION['dol_screenheight'] < 400
+		|| getDolGlobalString('MAIN_OPTIMIZEFORTEXTBROWSER'))
 ) {
 	$conf->dol_optimize_smallscreen = 1;
 
@@ -1502,7 +1513,7 @@
 // Replace themes bugged with jmobile with eldy
 if (!empty($conf->dol_use_jmobile) && in_array($conf->theme, array('bureau2crea', 'cameleo', 'amarok'))) {
 	$conf->theme = 'eldy';
-	$conf->css = "/theme/".$conf->theme."/style.css.php";
+	$conf->css = "/theme/" . $conf->theme . "/style.css.php";
 }
 
 if (!defined('NOREQUIRETRAN')) {
@@ -1537,7 +1548,7 @@
 	$user->loadRights();
 }
 
-dol_syslog("--- Access to ".(empty($_SERVER["REQUEST_METHOD"]) ? '' : $_SERVER["REQUEST_METHOD"].' ').$_SERVER["PHP_SELF"].' - action='.GETPOST('action', 'aZ09').', massaction='.GETPOST('massaction', 'aZ09').(defined('NOTOKENRENEWAL') ? ' NOTOKENRENEWAL='.constant('NOTOKENRENEWAL') : ''), LOG_NOTICE);
+dol_syslog("--- Access to " . (empty($_SERVER["REQUEST_METHOD"]) ? '' : $_SERVER["REQUEST_METHOD"] . ' ') . $_SERVER["PHP_SELF"] . ' - action=' . GETPOST('action', 'aZ09') . ', massaction=' . GETPOST('massaction', 'aZ09') . (defined('NOTOKENRENEWAL') ? ' NOTOKENRENEWAL=' . constant('NOTOKENRENEWAL') : ''), LOG_NOTICE);
 //Another call for easy debug
 //dol_syslog("Access to ".$_SERVER["PHP_SELF"].' '.$_SERVER["HTTP_REFERER"].' GET='.join(',',array_keys($_GET)).'->'.join(',',$_GET).' POST:'.join(',',array_keys($_POST)).'->'.join(',',$_POST));
 
@@ -1606,15 +1617,15 @@
 		$menufound = 0;
 		$dirmenus = array_merge(array("/core/menus/"), (array) $conf->modules_parts['menus']);
 		foreach ($dirmenus as $dirmenu) {
-			$menufound = dol_include_once($dirmenu."standard/".$file_menu);
+			$menufound = dol_include_once($dirmenu . "standard/" . $file_menu);
 			if (class_exists('MenuManager')) {
 				break;
 			}
 		}
 		if (!class_exists('MenuManager')) {	// If failed to include, we try with standard eldy_menu.php
-			dol_syslog("You define a menu manager '".$file_menu."' that can not be loaded.", LOG_WARNING);
+			dol_syslog("You define a menu manager '" . $file_menu . "' that can not be loaded.", LOG_WARNING);
 			$file_menu = 'eldy_menu.php';
-			include_once DOL_DOCUMENT_ROOT."/core/menus/standard/".$file_menu;
+			include_once DOL_DOCUMENT_ROOT . "/core/menus/standard/" . $file_menu;
 		}
 	}
 	// @phan-suppress-next-line PhanRedefinedClassReference
@@ -1661,19 +1672,19 @@
 		global $conf, $hookmanager;
 
 		$parameters = array(
-			'head' => & $head,
-			'title' => & $title,
-			'help_url' => & $help_url,
-			'target' => & $target,
-			'disablejs' => & $disablejs,
-			'disablehead' => & $disablehead,
-			'arrayofjs' => & $arrayofjs,
-			'arrayofcss' => & $arrayofcss,
-			'morequerystring' => & $morequerystring,
-			'morecssonbody' => & $morecssonbody,
-			'replacemainareaby' => & $replacemainareaby,
-			'disablenofollow' => & $disablenofollow,
-			'disablenoindex' => & $disablenoindex
+			'head' => &$head,
+			'title' => &$title,
+			'help_url' => &$help_url,
+			'target' => &$target,
+			'disablejs' => &$disablejs,
+			'disablehead' => &$disablehead,
+			'arrayofjs' => &$arrayofjs,
+			'arrayofcss' => &$arrayofcss,
+			'morequerystring' => &$morequerystring,
+			'morecssonbody' => &$morecssonbody,
+			'replacemainareaby' => &$replacemainareaby,
+			'disablenofollow' => &$disablenofollow,
+			'disablenoindex' => &$disablenoindex
 
 		);
 		$reshook = $hookmanager->executeHooks('llxHeader', $parameters);
@@ -1685,7 +1696,7 @@
 		// html header
 		top_htmlhead($head, $title, $disablejs, $disablehead, $arrayofjs, $arrayofcss, 0, $disablenofollow, $disablenoindex);
 
-		$tmpcsstouse = 'sidebar-collapse'.($morecssonbody ? ' '.$morecssonbody : '');
+		$tmpcsstouse = 'sidebar-collapse' . ($morecssonbody ? ' ' . $morecssonbody : '');
 		// If theme MD and classic layer, we open the menulayer by default.
 		if ($conf->theme == 'md' && !in_array($conf->browser->layout, array('phone', 'tablet')) && !getDolGlobalString('MAIN_OPTIMIZEFORTEXTBROWSER')) {
 			global $mainmenu;
@@ -1695,10 +1706,10 @@
 		}
 
 		if (getDolGlobalString('MAIN_OPTIMIZEFORCOLORBLIND')) {
-			$tmpcsstouse .= ' colorblind-'.strip_tags(getDolGlobalString('MAIN_OPTIMIZEFORCOLORBLIND'));
+			$tmpcsstouse .= ' colorblind-' . strip_tags(getDolGlobalString('MAIN_OPTIMIZEFORCOLORBLIND'));
 		}
 
-		print '<body id="mainbody" class="'.$tmpcsstouse.'">'."\n";
+		print '<body id="mainbody" class="' . $tmpcsstouse . '">' . "\n";
 
 		// top menu and left menu area
 		if ((empty($conf->dol_hide_topmenu) || GETPOSTINT('dol_invisible_topmenu')) && !GETPOST('dol_openinpopup', 'aZ09')) {
@@ -1732,9 +1743,9 @@
 	global $db, $conf, $hookmanager;
 
 	if ($contenttype == 'text/html') {
-		header("Content-Type: text/html; charset=".$conf->file->character_set_client);
+		header("Content-Type: text/html; charset=" . $conf->file->character_set_client);
 	} else {
-		header("Content-Type: ".$contenttype);
+		header("Content-Type: " . $contenttype);
 	}
 
 	// Security options
@@ -1752,7 +1763,7 @@
 	if (getDolGlobalString('MAIN_SECURITY_FORCE_ACCESS_CONTROL_ALLOW_ORIGIN')) {
 		$tmpurl = constant('DOL_MAIN_URL_ROOT');
 		$tmpurl = preg_replace('/^(https?:\/\/[^\/]+)\/.*$/', '\1', $tmpurl);
-		header('Access-Control-Allow-Origin: '.$tmpurl);
+		header('Access-Control-Allow-Origin: ' . $tmpurl);
 		header('Vary: Origin');
 	}
 
@@ -1776,7 +1787,7 @@
 		$contentsecuritypolicy = getDolGlobalString('MAIN_SECURITY_FORCECSPRO');
 
 		if (!is_object($hookmanager)) {
-			include_once DOL_DOCUMENT_ROOT.'/core/class/hookmanager.class.php';
+			include_once DOL_DOCUMENT_ROOT . '/core/class/hookmanager.class.php';
 			$hookmanager = new HookManager($db);
 		}
 		$hookmanager->initHooks(array("main"));
@@ -1790,10 +1801,10 @@
 		}
 
 		if (!empty($contentsecuritypolicy)) {
-			header("Content-Security-Policy-Report-Only: ".$contentsecuritypolicy);
+			header("Content-Security-Policy-Report-Only: " . $contentsecuritypolicy);
 		}
 	} else {
-		header("Content-Security-Policy: ".constant('MAIN_SECURITY_FORCECSPRO'));
+		header("Content-Security-Policy: " . constant('MAIN_SECURITY_FORCECSPRO'));
 	}
 
 	// Content-Security-Policy
@@ -1813,7 +1824,7 @@
 		$contentsecuritypolicy = getDolGlobalString('MAIN_SECURITY_FORCECSP');
 
 		if (!is_object($hookmanager)) {
-			include_once DOL_DOCUMENT_ROOT.'/core/class/hookmanager.class.php';
+			include_once DOL_DOCUMENT_ROOT . '/core/class/hookmanager.class.php';
 			$hookmanager = new HookManager($db);
 		}
 		$hookmanager->initHooks(array("main"));
@@ -1827,10 +1838,10 @@
 		}
 
 		if (!empty($contentsecuritypolicy)) {
-			header("Content-Security-Policy: ".$contentsecuritypolicy);
+			header("Content-Security-Policy: " . $contentsecuritypolicy);
 		}
 	} else {
-		header("Content-Security-Policy: ".constant('MAIN_SECURITY_FORCECSP'));
+		header("Content-Security-Policy: " . constant('MAIN_SECURITY_FORCECSP'));
 	}
 
 	// Referrer-Policy
@@ -1840,7 +1851,7 @@
 	if (!defined('MAIN_SECURITY_FORCERP')) {
 		$referrerpolicy = getDolGlobalString('MAIN_SECURITY_FORCERP', "same-origin");
 
-		header("Referrer-Policy: ".$referrerpolicy);
+		header("Referrer-Policy: " . $referrerpolicy);
 	}
 
 	if ($forcenocache) {
@@ -1876,52 +1887,52 @@
 		$conf->css = '/theme/eldy/style.css.php'; // If not defined, eldy by default
 	}
 
-	print '<!doctype html>'."\n";
+	print '<!doctype html>' . "\n";
 
-	print '<html lang="'.substr($langs->defaultlang, 0, 2).'">'."\n";
+	print '<html lang="' . substr($langs->defaultlang, 0, 2) . '">' . "\n";
 
 	//print '<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr">'."\n";
 	if (empty($disablehead)) {
 		if (!is_object($hookmanager)) {
-			include_once DOL_DOCUMENT_ROOT.'/core/class/hookmanager.class.php';
+			include_once DOL_DOCUMENT_ROOT . '/core/class/hookmanager.class.php';
 			$hookmanager = new HookManager($db);
 		}
 		$hookmanager->initHooks(array("main"));
 
-		$ext = 'layout='.(empty($conf->browser->layout) ? '' : $conf->browser->layout).'&amp;version='.urlencode(DOL_VERSION);
+		$ext = 'layout=' . (empty($conf->browser->layout) ? '' : $conf->browser->layout) . '&amp;version=' . urlencode(DOL_VERSION);
 
 		print "<head>\n";
 
 		if (GETPOST('dol_basehref', 'alpha')) {
-			print '<base href="'.dol_escape_htmltag(GETPOST('dol_basehref', 'alpha')).'">'."\n";
+			print '<base href="' . dol_escape_htmltag(GETPOST('dol_basehref', 'alpha')) . '">' . "\n";
 		}
 
 		// Displays meta
-		print '<meta charset="utf-8">'."\n";
-		print '<meta name="robots" content="'.($disablenoindex ? 'index' : 'noindex').($disablenofollow ? ',follow' : ',nofollow').'">'."\n"; // Do not index
-		print '<meta name="viewport" content="width=device-width, initial-scale=1.0">'."\n"; // Scale for mobile device
-		print '<meta name="author" content="Dolibarr Development Team">'."\n";
-		print '<meta name="anti-csrf-newtoken" content="'.newToken().'">'."\n";
-		print '<meta name="anti-csrf-currenttoken" content="'.currentToken().'">'."\n";
+		print '<meta charset="utf-8">' . "\n";
+		print '<meta name="robots" content="' . ($disablenoindex ? 'index' : 'noindex') . ($disablenofollow ? ',follow' : ',nofollow') . '">' . "\n"; // Do not index
+		print '<meta name="viewport" content="width=device-width, initial-scale=1.0">' . "\n"; // Scale for mobile device
+		print '<meta name="author" content="Dolibarr Development Team">' . "\n";
+		print '<meta name="anti-csrf-newtoken" content="' . newToken() . '">' . "\n";
+		print '<meta name="anti-csrf-currenttoken" content="' . currentToken() . '">' . "\n";
 		if (getDolGlobalInt('MAIN_FEATURES_LEVEL')) {
-			print '<meta name="MAIN_FEATURES_LEVEL" content="'.getDolGlobalInt('MAIN_FEATURES_LEVEL').'">'."\n";
+			print '<meta name="MAIN_FEATURES_LEVEL" content="' . getDolGlobalInt('MAIN_FEATURES_LEVEL') . '">' . "\n";
 		}
 		// Favicon
-		$favicon = DOL_URL_ROOT.'/theme/dolibarr_256x256_color.png';
-		$appletouchicon = DOL_URL_ROOT.'/theme/apple-touch-icon.png';
+		$favicon = DOL_URL_ROOT . '/theme/dolibarr_256x256_color.png';
+		$appletouchicon = DOL_URL_ROOT . '/theme/apple-touch-icon.png';
 		if (!empty($mysoc->logo_squarred_mini)) {
-			$favicon = DOL_URL_ROOT.'/viewimage.php?cache=1&modulepart=mycompany&file='.urlencode('logos/thumbs/'.$mysoc->logo_squarred_mini);
+			$favicon = DOL_URL_ROOT . '/viewimage.php?cache=1&modulepart=mycompany&file=' . urlencode('logos/thumbs/' . $mysoc->logo_squarred_mini);
 		}
 		if (getDolGlobalString('MAIN_FAVICON_URL')) {
 			$favicon = getDolGlobalString('MAIN_FAVICON_URL');
 		}
 		if (empty($conf->dol_use_jmobile)) {
-			print '<link rel="shortcut icon" type="image/x-icon" href="'.$favicon.'"/>'."\n"; // Not required into an Android webview
-			print '<link rel="apple-touch-icon" href="'.$appletouchicon.'"/>'."\n";
+			print '<link rel="shortcut icon" type="image/x-icon" href="' . $favicon . '"/>' . "\n"; // Not required into an Android webview
+			print '<link rel="apple-touch-icon" href="' . $appletouchicon . '"/>' . "\n";
 		}
 
 		// Mobile appli like icon
-		$manifest = DOL_URL_ROOT.'/theme/'.$conf->theme.'/manifest.json.php';
+		$manifest = DOL_URL_ROOT . '/theme/' . $conf->theme . '/manifest.json.php';
 		$parameters = array('manifest' => $manifest);
 		$resHook = $hookmanager->executeHooks('hookSetManifest', $parameters); // Note that $action and $object may have been modified by some hooks
 		if ($resHook > 0) {
@@ -1930,17 +1941,17 @@
 			$manifest .= $hookmanager->resPrint; // Concat to actual manifest declaration
 		}
 		if (!empty($manifest)) {
-			print '<link rel="manifest" href="'.$manifest.'" />'."\n";
+			print '<link rel="manifest" href="' . $manifest . '" />' . "\n";
 		}
 
 		if (getDolGlobalString('THEME_ELDY_TOPMENU_BACK1')) {
 			// TODO: use auto theme color switch
-			print '<meta name="theme-color" content="rgb(' . getDolGlobalString('THEME_ELDY_TOPMENU_BACK1').')">'."\n";
+			print '<meta name="theme-color" content="rgb(' . getDolGlobalString('THEME_ELDY_TOPMENU_BACK1') . ')">' . "\n";
 		}
 
 		// Auto refresh page
 		if (GETPOSTINT('autorefresh') > 0) {
-			print '<meta http-equiv="refresh" content="'.GETPOSTINT('autorefresh').'">';
+			print '<meta http-equiv="refresh" content="' . GETPOSTINT('autorefresh') . '">';
 		}
 
 		// Displays title
@@ -1952,7 +1963,7 @@
 		print '<title>';
 		$titletoshow = '';
 		if ($title && preg_match('/showapp/', getDolGlobalString('MAIN_HTML_TITLE'))) {
-			$titletoshow = dol_htmlentities($appli.' - '.$title);
+			$titletoshow = dol_htmlentities($appli . ' - ' . $title);
 		} elseif ($title) {
 			$titletoshow = dol_htmlentities($title);
 		} else {
@@ -1973,82 +1984,82 @@
 		print "\n";
 
 		if (GETPOSTINT('version')) {
-			$ext = 'version='.GETPOSTINT('version'); // useful to force no cache on css/js
+			$ext = 'version=' . GETPOSTINT('version'); // useful to force no cache on css/js
 		}
 		// Refresh value of MAIN_IHM_PARAMS_REV before forging the parameter line.
 		if (GETPOST('dol_resetcache')) {
-			include_once DOL_DOCUMENT_ROOT.'/core/lib/admin.lib.php';
+			include_once DOL_DOCUMENT_ROOT . '/core/lib/admin.lib.php';
 			dolibarr_set_const($db, "MAIN_IHM_PARAMS_REV", getDolGlobalInt('MAIN_IHM_PARAMS_REV') + 1, 'chaine', 0, '', $conf->entity);
 		}
 
-		$themeparam = '?lang='.$langs->defaultlang.'&amp;theme='.$conf->theme.(GETPOST('optioncss', 'aZ09') ? '&amp;optioncss='.GETPOST('optioncss', 'aZ09', 1) : '').(empty($user->id) ? '' : ('&amp;userid='.$user->id)).'&amp;entity='.$conf->entity;
+		$themeparam = '?lang=' . $langs->defaultlang . '&amp;theme=' . $conf->theme . (GETPOST('optioncss', 'aZ09') ? '&amp;optioncss=' . GETPOST('optioncss', 'aZ09', 1) : '') . (empty($user->id) ? '' : ('&amp;userid=' . $user->id)) . '&amp;entity=' . $conf->entity;
 
-		$themeparam .= ($ext ? '&amp;'.$ext : '').'&amp;revision='.getDolGlobalInt("MAIN_IHM_PARAMS_REV");
+		$themeparam .= ($ext ? '&amp;' . $ext : '') . '&amp;revision=' . getDolGlobalInt("MAIN_IHM_PARAMS_REV");
 		if (GETPOSTISSET('dol_hide_topmenu')) {
-			$themeparam .= '&amp;dol_hide_topmenu='.GETPOSTINT('dol_hide_topmenu');
+			$themeparam .= '&amp;dol_hide_topmenu=' . GETPOSTINT('dol_hide_topmenu');
 		}
 		if (GETPOSTISSET('dol_hide_leftmenu')) {
-			$themeparam .= '&amp;dol_hide_leftmenu='.GETPOSTINT('dol_hide_leftmenu');
+			$themeparam .= '&amp;dol_hide_leftmenu=' . GETPOSTINT('dol_hide_leftmenu');
 		}
 		if (GETPOSTISSET('dol_openinpopup')) {
-			$themeparam .= '&amp;dol_openinpopup='.GETPOST('dol_openinpopup', 'aZ09');
+			$themeparam .= '&amp;dol_openinpopup=' . GETPOST('dol_openinpopup', 'aZ09');
 		}
 		if (GETPOSTISSET('dol_optimize_smallscreen')) {
-			$themeparam .= '&amp;dol_optimize_smallscreen='.GETPOSTINT('dol_optimize_smallscreen');
+			$themeparam .= '&amp;dol_optimize_smallscreen=' . GETPOSTINT('dol_optimize_smallscreen');
 		}
 		if (GETPOSTISSET('dol_no_mouse_hover')) {
-			$themeparam .= '&amp;dol_no_mouse_hover='.GETPOSTINT('dol_no_mouse_hover');
+			$themeparam .= '&amp;dol_no_mouse_hover=' . GETPOSTINT('dol_no_mouse_hover');
 		}
 		if (GETPOSTISSET('dol_use_jmobile')) {
-			$themeparam .= '&amp;dol_use_jmobile='.GETPOSTINT('dol_use_jmobile');
+			$themeparam .= '&amp;dol_use_jmobile=' . GETPOSTINT('dol_use_jmobile');
 			$conf->dol_use_jmobile = GETPOSTINT('dol_use_jmobile');
 		}
 		if (GETPOSTISSET('THEME_DARKMODEENABLED')) {
-			$themeparam .= '&amp;THEME_DARKMODEENABLED='.GETPOSTINT('THEME_DARKMODEENABLED');
+			$themeparam .= '&amp;THEME_DARKMODEENABLED=' . GETPOSTINT('THEME_DARKMODEENABLED');
 		}
 		if (GETPOSTISSET('THEME_SATURATE_RATIO')) {
-			$themeparam .= '&amp;THEME_SATURATE_RATIO='.GETPOSTINT('THEME_SATURATE_RATIO');
+			$themeparam .= '&amp;THEME_SATURATE_RATIO=' . GETPOSTINT('THEME_SATURATE_RATIO');
 		}
 
 		if (getDolGlobalString('MAIN_ENABLE_FONT_ROBOTO')) {
-			print '<link rel="preconnect" href="https://fonts.gstatic.com">'."\n";
-			print '<link href="https://fonts.googleapis.com/css2?family=Roboto:wght@200;300;400;500;600&display=swap" rel="stylesheet">'."\n";
+			print '<link rel="preconnect" href="https://fonts.gstatic.com">' . "\n";
+			print '<link href="https://fonts.googleapis.com/css2?family=Roboto:wght@200;300;400;500;600&display=swap" rel="stylesheet">' . "\n";
 		}
 
 		if (!defined('DISABLE_JQUERY') && !$disablejs && $conf->use_javascript_ajax) {
-			print '<!-- Includes CSS for JQuery (Ajax library) -->'."\n";
+			print '<!-- Includes CSS for JQuery (Ajax library) -->' . "\n";
 			$jquerytheme = 'base';
 			if (getDolGlobalString('MAIN_USE_JQUERY_THEME')) {
 				$jquerytheme = getDolGlobalString('MAIN_USE_JQUERY_THEME');
 			}
 			if (constant('JS_JQUERY_UI')) {
-				print '<link rel="stylesheet" type="text/css" href="'.JS_JQUERY_UI.'css/'.$jquerytheme.'/jquery-ui.min.css'.($ext ? '?'.$ext : '').'">'."\n"; // Forced JQuery
+				print '<link rel="stylesheet" type="text/css" href="' . JS_JQUERY_UI . 'css/' . $jquerytheme . '/jquery-ui.min.css' . ($ext ? '?' . $ext : '') . '">' . "\n"; // Forced JQuery
 			} else {
-				print '<link rel="stylesheet" type="text/css" href="'.DOL_URL_ROOT.'/includes/jquery/css/'.$jquerytheme.'/jquery-ui.css'.($ext ? '?'.$ext : '').'">'."\n"; // JQuery
+				print '<link rel="stylesheet" type="text/css" href="' . DOL_URL_ROOT . '/includes/jquery/css/' . $jquerytheme . '/jquery-ui.css' . ($ext ? '?' . $ext : '') . '">' . "\n"; // JQuery
 			}
 			if (!defined('DISABLE_JQUERY_JNOTIFY')) {
-				print '<link rel="stylesheet" type="text/css" href="'.DOL_URL_ROOT.'/includes/jquery/plugins/jnotify/jquery.jnotify-alt.min.css'.($ext ? '?'.$ext : '').'">'."\n"; // JNotify
+				print '<link rel="stylesheet" type="text/css" href="' . DOL_URL_ROOT . '/includes/jquery/plugins/jnotify/jquery.jnotify-alt.min.css' . ($ext ? '?' . $ext : '') . '">' . "\n"; // JNotify
 			}
 			if (!defined('DISABLE_SELECT2') && (getDolGlobalString('MAIN_USE_JQUERY_MULTISELECT') || defined('REQUIRE_JQUERY_MULTISELECT'))) {     // jQuery plugin "mutiselect", "multiple-select", "select2"...
 				$tmpplugin = !getDolGlobalString('MAIN_USE_JQUERY_MULTISELECT') ? constant('REQUIRE_JQUERY_MULTISELECT') : $conf->global->MAIN_USE_JQUERY_MULTISELECT;
-				print '<link rel="stylesheet" type="text/css" href="'.DOL_URL_ROOT.'/includes/jquery/plugins/'.$tmpplugin.'/dist/css/'.$tmpplugin.'.css'.($ext ? '?'.$ext : '').'">'."\n";
+				print '<link rel="stylesheet" type="text/css" href="' . DOL_URL_ROOT . '/includes/jquery/plugins/' . $tmpplugin . '/dist/css/' . $tmpplugin . '.css' . ($ext ? '?' . $ext : '') . '">' . "\n";
 			}
 		}
 
 		if (!defined('DISABLE_FONT_AWSOME')) {
-			print '<!-- Includes CSS for font awesome -->'."\n";
+			print '<!-- Includes CSS for font awesome -->' . "\n";
 			$fontawesome_directory = getDolGlobalString('MAIN_FONTAWESOME_DIRECTORY', '/theme/common/fontawesome-5');
-			print '<link rel="stylesheet" type="text/css" href="'.DOL_URL_ROOT.$fontawesome_directory.'/css/all.min.css'.($ext ? '?'.$ext : '').'">'."\n";
+			print '<link rel="stylesheet" type="text/css" href="' . DOL_URL_ROOT . $fontawesome_directory . '/css/all.min.css' . ($ext ? '?' . $ext : '') . '">' . "\n";
 		}
 
-		print '<!-- Includes CSS for Dolibarr theme -->'."\n";
+		print '<!-- Includes CSS for Dolibarr theme -->' . "\n";
 		// Output style sheets (optioncss='print' or ''). Note: $conf->css looks like '/theme/eldy/style.css.php'
 		$themepath = dol_buildpath($conf->css, 1);
 		$themesubdir = '';
 		if (!empty($conf->modules_parts['theme'])) {	// This slow down
 			foreach ($conf->modules_parts['theme'] as $reldir) {
-				if (file_exists(dol_buildpath($reldir.$conf->css, 0))) {
-					$themepath = dol_buildpath($reldir.$conf->css, 1);
+				if (file_exists(dol_buildpath($reldir . $conf->css, 0))) {
+					$themepath = dol_buildpath($reldir . $conf->css, 1);
 					$themesubdir = $reldir;
 					break;
 				}
@@ -2056,15 +2067,15 @@
 		}
 
 		//print 'themepath='.$themepath.' themeparam='.$themeparam;exit;
-		print '<link rel="stylesheet" type="text/css" href="'.$themepath.$themeparam.'">'."\n";
+		print '<link rel="stylesheet" type="text/css" href="' . $themepath . $themeparam . '">' . "\n";
 		if (getDolGlobalString('MAIN_FIX_FLASH_ON_CHROME')) {
-			print '<!-- Includes CSS that does not exists as a workaround of flash bug of chrome -->'."\n".'<link rel="stylesheet" type="text/css" href="filethatdoesnotexiststosolvechromeflashbug">'."\n";
+			print '<!-- Includes CSS that does not exists as a workaround of flash bug of chrome -->' . "\n" . '<link rel="stylesheet" type="text/css" href="filethatdoesnotexiststosolvechromeflashbug">' . "\n";
 		}
 
 		// LEAFLET AND GEOMAN
 		if (getDolGlobalString('MAIN_USE_GEOPHP')) {
-			print '<link rel="stylesheet" href="'.DOL_URL_ROOT.'/includes/leaflet/leaflet.css'.($ext ? '?'.$ext : '')."\">\n";
-			print '<link rel="stylesheet" href="'.DOL_URL_ROOT.'/includes/leaflet/leaflet-geoman.css'.($ext ? '?'.$ext : '')."\">\n";
+			print '<link rel="stylesheet" href="' . DOL_URL_ROOT . '/includes/leaflet/leaflet.css' . ($ext ? '?' . $ext : '') . "\">\n";
+			print '<link rel="stylesheet" href="' . DOL_URL_ROOT . '/includes/leaflet/leaflet-geoman.css' . ($ext ? '?' . $ext : '') . "\">\n";
 		}
 
 		// CSS forced by modules (relative url starting with /)
@@ -2074,19 +2085,19 @@
 				$filescss = (array) $filescss; // To be sure filecss is an array
 				foreach ($filescss as $cssfile) {
 					if (empty($cssfile)) {
-						dol_syslog("Warning: module ".$modcss." declared a css path file into its descriptor that is empty.", LOG_WARNING);
+						dol_syslog("Warning: module " . $modcss . " declared a css path file into its descriptor that is empty.", LOG_WARNING);
 					}
 					// cssfile is a relative path
 					$urlforcss = dol_buildpath($cssfile, 1);
 					if ($urlforcss && $urlforcss != '/') {
-						print '<!-- Includes CSS added by module '.$modcss.' -->'."\n".'<link rel="stylesheet" type="text/css" href="'.$urlforcss;
+						print '<!-- Includes CSS added by module ' . $modcss . ' -->' . "\n" . '<link rel="stylesheet" type="text/css" href="' . $urlforcss;
 						// We add params only if page is not static, because some web server setup does not return content type text/css if url has parameters, so browser cache is not used.
 						if (!preg_match('/\.css$/i', $cssfile)) {
 							print $themeparam;
 						}
-						print '">'."\n";
+						print '">' . "\n";
 					} else {
-						dol_syslog("Warning: module ".$modcss." declared a css path file for a file we can't find.", LOG_WARNING);
+						dol_syslog("Warning: module " . $modcss . " declared a css path file for a file we can't find.", LOG_WARNING);
 					}
 				}
 			}
